%define	debug_package	%{nil}
%define modules_dir	lib

Name:		gquilt
Version:	0.12
Release:	1
Vendor:		Peter Williams <pwil3058@bigpond.net.au>
License:	GPL
Group:		Development/Tools
Summary:	gquilt - a PyGTK GUI wrapper for quilt
Source:		http://users.bigpond.net.au/Peter-Williams/%name-%version.tar.gz
URL:		http://users.bigpond.net.au/Peter-Williams/
Prefix:		/usr
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
quilt is a tool for managing a series of patches by keeping track
of the changes each patch makes. Patches can be applied, un-applied,
refreshed, etc.

gquilt is a PyGTK GUI wrapper for quilt. 

%prep
%setup

%build
make PREFIX=%{_prefix} MODULE_PREFIX=%{modules_dir} all gquilt

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d "$RPM_BUILD_ROOT" ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_prefix}/%{modules_dir}/icons
mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/applications
mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/pixmaps

make PREFIX=$RPM_BUILD_ROOT%{_prefix} MODULE_PREFIX=%{modules_dir} install

%files
%defattr(-,root,root)
%{_prefix}/%{modules_dir}/gquilt
%{_bindir}/gquilt
%{_prefix}/share/applications
%{_prefix}/share/pixmaps
%doc ChangeLog

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d "$RPM_BUILD_ROOT" ] && rm -rf "$RPM_BUILD_ROOT"
